Foxit PDF SDK

Instance Methods | Properties | List of all members
FSResetFormAction Class Reference
Inheritance diagram for FSResetFormAction:

## Instance Methods
(id) | - initWithAction:
| Constructor, with parent class object. More...
Instance Methods inherited from FSAction
(FSPDFDictionary *) | - getDict
| Get PDF dictionary of current object. More...
(FSPDFDoc *) | - getDocument
| Get the PDF document, to which current action belongs. More...
(FSAction *) | - getSubAction:
| Get a sub-action by index. More...
(int) | - getSubActionCount
| Get the count of sub-actions. More...
(FSActionType) | - getType
| Get action type. More...
(id) | - initWithDocument:action_dict:
| Constructor, with parameters. More...
(void) | - insertSubAction:sub_action:
| Insert a new sub-action to the location specified by index. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeAllSubActions
| Remove all the sub-actions. More...
(void) | - removeSubAction:
| Remove a sub-action, specified by index. More...
(void) | - setSubAction:sub_action:
| Set a sub-action by index. More...

## Properties
NSArray< NSString * > * | fieldNames
| Get or Set all field names from the array of current reset form action. More...
unsigned int | flags
| Get or Set the flag value used for resetting.

## Additional Inherited Members
Class Methods inherited from FSAction
(FSAction *) | + create:action_type:
| Create a new action, for specified action type. More...

## Detailed Description

Reset-form action is to set fields to their default values Class FSResetFormAction is derived from FSAction and offers functions to get/set reset-form action data.

See also
  FSAction

## Method Documentation

## ◆ initWithAction:()

- (id) initWithAction: |  | (FSAction*) | action |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

Reimplemented from FSAction.

## Property Documentation

## ◆ fieldNames

- (NSArray< NSString * > *) fieldNames
| read write nonatomic weak

Get or Set all field names from the array of current reset form action.

A reset form action can have an array identifying which fields to reset or to exclude from resetting, depending on the flag value.